Name:           perl-KinoSearch
Version:        0.31
Release:        3%{?dist}
Epoch:          1
Summary:        Search engine library
# ApacheLicense2.0.txt included is included just becuase the upstream
# author decided to include it and is only for informative purposes.
# We believe that it doesn't apply, since author didn't use any Lucene
# code (according to mail in LICENSING.mbox)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/KinoSearch/
Source0:        http://www.cpan.org/authors/id/C/CR/CREAMYG/KinoSearch-%{version}.tar.gz
Source1:        LICENSING.mbox
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::ParseXS)
BuildRequires:  perl(Lingua::Stem::Snowball) >= 0.94
BuildRequires:  perl(Lingua::StopWords) >= 0.02
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(Parse::RecDescent)
Requires:       perl(Compress::Zlib)
Requires:       perl(Lingua::Stem::Snowball) >= 0.94
Requires:       perl(Lingua::StopWords) >= 0.02
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Time::HiRes)

%{?perl_default_filter}

%description
KinoSearch is a loose port of the Java search engine library Apache Lucene,
written in Perl and C. The archetypal application is website search, but it
can be put to many different uses.

%prep
%setup -q -n KinoSearch-%{version}
cp %{SOURCE1} LICENSING.mbox

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

rm -f $RPM_BUILD_ROOT/%{perl_vendorarch}/auto/KinoSearch/KinoSearch.bs

%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README ApacheLicense2.0.txt LICENSING.mbox
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1:0.31-3
- Perl mass rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:0.31-2
- 661697 rebuild for fixing problems with vendorach/lib
- add BR

* Sun Dec 12 2010 Lubomir Rintel <lkundrak@v3.sk> - 1:0.31-1
- BR Time::HiRes to fix el6 build
- Rebase to later version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.165-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.165-1
- Upstream applied our PowerPC patch

* Sun Mar 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.164-1
- Update to 0.164
- Add missing Pod::Coverage BRs (Robert Scheck)
- Fix a PowerPC signedness issue
- Clarify licensing, re-add ApacheLicense2.0.txt

* Sat Feb 14 2009 Ian Burrell <ianburrell@gmail.com> - 0.163-2
- remove empty KinoSearch.bs
- remove ApacheLicense2.0.txt

* Thu Feb 05 2009 Ian Burrell <ianburrell@gmail.com> 0.163-1
- Change to perl_vendorarch
- Remove devel, src from doc
- Specfile autogenerated by cpanspec 1.77.
